## piserver 0.7.6

=== debian/changelog ===
piserver (0.7.6) bullseye; urgency=medium

  * Add support for newer Pi with MAC-addresses that start with d8:3a:dd

 -- Floris Bos <bos@je-eigen-domein.nl>  Tue, 16 May 2023 22:04:36 +0200

piserver (0.7.5) buster; urgency=medium

  * Fix "Cannot use erase() with null" error when using
    non-ad external LDAP server

 -- Floris Bos <bos@je-eigen-domein.nl>  Sat, 10 Sep 2022 23:42:33 +0200

piserver (0.7.4) buster; urgency=medium

  * Update convert script for bullseye 

 -- Floris Bos <bos@je-eigen-domein.nl>  Tue, 23 Nov 2021 20:55:19 +0100
