=== debian/control ===
Source: piserver
Section: admin
Priority: optional
Maintainer: Floris Bos <bos@je-eigen-domein.nl>
Build-Depends: debhelper (>= 9), cmake, libldap2-dev, libgtkmm-3.0-dev, libarchive-dev, libcurl4-openssl-dev, libcap-dev, intltool
Standards-Version: 3.9.7

Package: piserver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, binfmt-support [!armhf], qemu-user-static [!armhf]
Recommends: policykit-1
Description: Utility program to manage a network of diskless Pi 3 terminals
 Lets diskless Pi 3 terminals PXE boot from the network.
